/* Google Font einbinden */
@import url('https://fonts.googleapis.com/css2?family=Open+Sans:wght@400;700&display=swap');

body {
    font-family: 'Open Sans', sans-serif; /* Freundlichere Schriftart */
    margin: 0;
    padding: 0;
    background-color: #f0f5e8; /* Heller Hintergrund */
    color: #333;
}

header {
    background-color: #77aa7f; /* Grüner Header */
    color: #fff;
    padding: 0.1rem 0;
    text-align: center;
    box-shadow: 0 4px 6px rgba(0,0,0,0.1); /* Schatteneffekt */
}


nav ul {
    list-style: none;
    padding: 0;
    text-align: center;
}

nav li {
    display: inline-block; /* Für den Abstand zwischen den Links*/
    margin: 5px 20px;
}

nav a {
    color: #fff;
    text-decoration: none;
    font-weight: 700;
    transition: color 0.3s ease; /* Für den Hover-Effekt */
}

nav a:hover {
    color: #ffe066; /* Gelbe Hover-Farbe */
}

main {
    padding: 30px;
    max-width: 900px; /* Breiterer Inhaltsbereich */
    margin: 0 auto;
}

img {
    max-width: 100%;
    height: auto;
    border-radius: 10px;  /* Runde Ecken für Bilder */
    box-shadow: 2px 2px 5px rgba(0,0,0,0.2); /* Schatteneffekt */
    display: block; /* Zentriert das Bild */
    margin: 0 auto; /* Zentriert das Bild */

}

.downloadsh1 {
    font-size: 2.5em;
    color: #77aa7f;
    margin-bottom: 0.5em;
}

h1 {
    font-size: 2.5em;
    color: #fff;
    margin-bottom: 0.5em;
}

h2 {
    color: #77aa7f; /* Grüner Header */
    margin-top: 0;
}

h3 {
    color: #a87830; /* Brauner Header */
}

/* Spezifische Stile */
.hero {
    text-align: center;
    margin-bottom: 40px;

}

.hero img {

}

.hero p {
    font-size: 1.2em;
}

.highlights {
    background-color: #fff;
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 4px 6px rgba(0,0,0,0.1);
    margin-bottom: 40px;
}

.highlights ul {
    list-style: disc inside;
    padding-left: 0;
}

.ueberblick, .lebensraum, .nahrung {
    margin-bottom: 40px;
}


.rassen-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    grid-gap: 30px;
}


.rasse {
    background-color: #fff;
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 4px 6px rgba(0,0,0,0.1);
    text-align: center;
    transition: transform 0.3s ease, box-shadow 0.3s ease; /* Für Hover-Effekt */
}

.rasse:hover {
    transform: translateY(-5px); /* Bewegt die Box leicht nach oben */
    box-shadow: 0 6px 8px rgba(0,0,0,0.2); /* Vergrößert den Schatten */
    background-color: #f7f7f7;
}



/* Musik-Seite */
.musik {
    text-align: center;
    margin-bottom: 40px;
}


.songtext {
    white-space: pre-line;
    text-align: center;
}

footer {
    text-align: center;
    padding: 20px;
    background-color: #77aa7f;
    color: #fff;
}

footer p { margin: 0;}

.video-container {
    position: relative;
    padding-bottom: 56.25%; /* Verhältnis 16:9 (Breite:Höhe) */
    height: 0;
    overflow: hidden;
}

.video-container iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.downloads ul {
    list-style-type: none; /* Entfernt die Punkte */
    padding: 0;
}

.downloads li {
    margin-bottom: 10px;
}

.downloads a {
    display: inline-block;
    padding: 8px 12px;
    background-color: #77aa7f;
    color: white;
    border-radius: 5px;
    text-decoration: none;
}

/* Greift auf alle Links unter body > footer > p > a zu */
body > footer > p > a,
body > footer > p > a:visited,
body > footer > p > a:hover,
body > footer > p > a:active {
  color: purple !important;
}